Bug 249418 - upgrade to RHEL 5 hangs indefinitely
upgrade to RHEL 5 hangs indefinitely
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.0
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-24 12:24 EDT by Josef Jurek
Modified: 2008-07-08 09:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 09:26:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josef Jurek 2007-07-24 12:24:01 EDT
Description of problem:

When attempting to upgrade "RHEL ES release 4" 
to RHEL 5, but each time, the upgrade process Starting install process.
hangs at the window:

"Package Installation" "Install Starting"
"Starting install process.  This may take several minutes."

and the status bar stays at "0%" for hours.


Version-Release number of selected component (if applicable):

Current system is "Red Hat Enterprise Linux ES (v. 4 for AMD64/Intel EM64T)"
I am using the "text install" mode rather than the
"graphic install" mode due to monitor issues.

I am upgrading with the rhel-5-server-x86_64-disc*.iso
collection of images.



How reproducible:

Happens every time.


Steps to Reproduce:
1. Boot off of CD made from rhel-5-server-x86_64-disc1.iso
2. Choose upgrade and "text mode"
3.
  
Actual results:
Hangs indefinitely at
"Package Installation" "Install Starting"
"Starting install process.  This may take several minutes."

Expected results:

Supposed to upgrade to RHEL 5

Additional info:
Comment 1 Don Domingo 2007-07-24 20:36:40 EDT
Hi Josef,

have you tried running up2date on your RHEL4 machine first before upgrading to
RHEL5? your RHEL4 machine should be upgraded to the latest updated version of
RHEL4 before upgrading to RHEL5. let me know if this solves it for you.

if you run into any other install-related weirdness, consult the RHEL5 release
notes appropriate for your architecture. 

Cheers,
Don
Comment 2 Josef Jurek 2007-07-26 16:59:13 EDT
Don Domingo (ddomingo@redhat.com) writes:
>
> have you tried running up2date on your RHEL4 machine first before upgrading to
> RHEL5? your RHEL4 machine should be upgraded to the latest updated version of
> RHEL4 before upgrading to RHEL5. let me know if this solves it for you.

I just used up2date to upgrade my RHEL4 installation to the
most recent updated version.  I then, as before, tried to
upgrade my RHEL4 to RHEL5.  This time, the process hung at
the window:

  Dependency Check
  Checking dependencies in packages selected for installation ...

which is an even earlier step than before.

And so, the problem is still unsolved.
Comment 3 Don Domingo 2007-07-26 22:38:15 EDT
reassigning this to Anaconda, just in case. 
Comment 4 Josef Jurek 2007-07-27 12:31:57 EDT
More bad news.

Frustrated that the RHEL5 upgrade option would
not work for us, I just chose to do a fresh install
of RHEL5, wiping the partitions that RHEL4 ES was
currently on.

What happened was that the display again
got to the "Package Installation" stage.
This time rather than freezing at 0%,
the status bar actually got to 7% and
_froze_again_.  And so whether I do
a upgrade or fresh install, RHEL5
freezes during "Package Installation".

I then just re-installed RHEL4 ES from
disks.

Here is some other information concerning
installing/upgrading on my system.

1.  Due to monitor issues, I use the "text mode"
version of installation rather than
the "graphic mode".

2. I have a USB mouse and keyboard
plugged into the system through
a KVM switch.  I mention this
because the RHEL4 installation process
does not recognize a USB keyboard
during installation, and I have to
plug a PS/2 keyboard into the machine
directly during installation,
then re-boot, remove the PS/2 keyboard,
and let Kudzu find the USB keyboard,
USB mouse, and KVM.

The RHEL5 installation process however,
_does_ recognize the USB keyboard.
Still, perhaps installing with a USB
mouse/keyboard has not been fully
tested at your end.

Also, during the re-install of RHEL4,
that "first time boot configuration" menu
coming up in X is _really_problematic for me
as my monitor will not initially work
with RHEL (4 or 5) and all that displays
is garbage.  The procedure I end up
having to do is:

  a.  Install/reboot
  b.  boot up from CD _in_ rescue mode
  c.  Install NVIDIA drivers for my montior
  d.  reboot and let the machine do
      it's first time boot configuration
      process.

If one uses text mode to install,
first time boot configuration _should_
be in text mode TOO.

Comment 5 Josef Jurek 2007-07-27 17:26:51 EDT
More information.

This system has RAID disks on two 3Ware cards.
RAID 1 on two disks where the OS is installed.
RAID 5 all other disks.
Comment 6 Chris Lumens 2007-08-23 16:44:27 EDT
Are there any informational messages on tty3 or tty4?  When the machine stops
being responsive, is it just anaconda/X or the entire machine?  That is, can you
switch to a virtual terminal or reboot?  Are the keyboard lights flashing?
Comment 7 Josef Jurek 2007-08-27 11:11:13 EDT
Chris Lumens writes:

> Are there any informational messages on tty3 or tty4?

I don't completely understand this question.
When I try to upgrade or install in text mode is when
the process freezes.
  
> When the machine stops
> being responsive, is it just anaconda/X or the entire machine?  That
> is, can you switch to a virtual terminal or reboot?  Are the
> keyboard lights flashing?

I can reboot with a Control-Alt-Delete at the keyboard.
  
I have not tried to switch to a virtual terminal (I did
not know such a thing was possible during an install).

Thanks.
Comment 8 Chris Lumens 2007-08-30 17:18:33 EDT
How much memory is in the computer?
Comment 9 Josef Jurek 2007-08-30 17:24:29 EDT
4 GB

two intel xeon processors

Running RHEL4 x86_64
Comment 10 Joel Andres Granados 2008-06-11 13:21:30 EDT
With respect to comment #7
Chris meant to try and do a Alt-F2 Alt-F3 and Alt-F4 and see what appears on the
other terminals.

Does this still happen with 5.2? 
Comment 11 Josef Jurek 2008-06-23 15:20:05 EDT
"Joel Andres Granados" writes:
>
> With respect to comment #7
> Chris meant to try and do a Alt-F2 Alt-F3 and Alt-F4 and
> see what appears on the other terminals.
>
> Does this still happen with 5.2?
I can only deduce that your last question is short for
"Does this still happen when you try to upgrade
to 5.2?".
 
Currently, this machine is a highly used
database and web server and attempting an
OS upgrade is not possible at this time and
for the foreseeable future.  I therefore
cannot determine an answer to your question.
 
Comment 12 Joel Andres Granados 2008-07-08 09:26:33 EDT
This is a real shame, with no additional information we cannot pinpoint the
issue.  Please reopen this bug if you have further information.
FYI the information that is useful:

Whatever information comes out on the ttys. If possible.
the installation/upgrade log from /var/log/. If possible.

Thx for the bug report.

Note You need to log in before you can comment on or make changes to this bug.